Get a journey run (Preview)
Preview · Available to selected organizations. Returns one run with every node it entered, in order: when it entered and left, how it left, and the message a send node created.
Returns one run with every node it entered, in order: when it entered and left, how it left, and the message a send node created.
Authorization
apiKey In: header
Path Parameters
^jrny_[0-9a-hjkmnp-tv-z]{16,24}$^jrun_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/journeys/string/runs/string"{ "id": "string", "journeyId": "string", "version": -9007199254740991, "contactId": "string", "status": "active", "exitReason": "completed", "failureReason": "string", "currentNodeId": "string", "holdReason": "string", "holdUntil": "string", "trigger": { "eventId": "string", "eventName": "string", "properties": { "property1": "string", "property2": "string" } }, "enteredAt": "string", "endedAt": "string", "steps": [ { "nodeId": "string", "type": "string", "enteredAt": "string", "completedAt": "string", "outcome": "completed", "nextNodeId": "string", "messageId": "string", "error": "string" } ]}Related documentation
Get a journey (Preview)
Preview · Available to selected organizations. Returns a journey with its draft definition, its current revision, and its newest published version number.
Get a published journey version (Preview)
Preview · Available to selected organizations. Returns the immutable definition of one published version. Use this endpoint to get a published journey version through the Samva email API.